#ifndef	__AISAG01_H
#define	__AISAG01_H
// ----------------------------------------------------------------------------
//	GPIB DLL for Windows95
//	file : aisag01.h
//
//	Ver1.00
//
//	[DESCRIPTION]
//	aISA-G01 p DLL - AvP[V wb_[
//
//	Copyright (C) 1998 ADTEK SYSTEM SCIENCE Co.,Ltd.
// ----------------------------------------------------------------------------


#ifdef	__cplusplus
extern "C" {
#endif

#define	MAX_IOWIN	(2)			// IOWinő吔
#define	MAX_MEMWIN	(4)			// MemWinő吔
#define	MAX_DEV_NUM	(16)			// ő\Pbg

typedef struct	tagConfigInf{
	SHORT	nLogSlot;			// _Xbg

	SHORT	nDevId;				// \

	WORD	wNumIOWin;			// IOEBhE
	WORD	wIOBase[MAX_IOWIN];		// x[XAhX
	WORD	wIOWinLen[MAX_IOWIN];		// TCY
	WORD	wIOAttr[MAX_IOWIN];		// \

	WORD	wNumMemWin;			// EBhE
	DWORD	dwMemBase[MAX_MEMWIN];		// x[XAhX
	DWORD	dwMemLen[MAX_MEMWIN];		// TCY
	WORD	wMemAttr[MAX_MEMWIN];		// \

	SHORT	nIRQ;				// IRQԍ
	WORD	wIRQAttr;			// \

	SHORT	nDMA;				// DMA
	WORD	wDMAAttr;			// \

	SHORT	nStatus;			// \
}CONFIG_INF,*PCONFIG_INF;

#define	AXP_RES		CONFIG_INF
typedef	AXP_RES		*PAXP_RES;


#if		1
	#define	__DLLCLASS
#else	/* #if		1 */
#ifdef	_AGPIB_DLLMAIN
	#define	__DLLCLASS	__declspec(dllexport)
#else
	#define	__DLLCLASS	__declspec(dllimport)
#endif
#endif	/* #if		1 */

/* *** API	*/
/* _GpibXXXX ֐́AJ */

__DLLCLASS SHORT APIENTRY	GetAxpRes(SHORT,PAXP_RES);

__DLLCLASS SHORT APIENTRY	 GpibInit(SHORT,SHORT);
__DLLCLASS SHORT APIENTRY	_GpibInit(SHORT,SHORT,SHORT);
__DLLCLASS SHORT APIENTRY	 GpibSetTime(DWORD);
__DLLCLASS SHORT APIENTRY	_GpibSetTime(SHORT,DWORD);

// *** Rg[API
__DLLCLASS SHORT APIENTRY	 GpibIfc(void);
__DLLCLASS SHORT APIENTRY	_GpibIfc(SHORT);
__DLLCLASS SHORT APIENTRY	 GpibRen(BOOL);
__DLLCLASS SHORT APIENTRY	_GpibRen(SHORT,BOOL);
__DLLCLASS SHORT APIENTRY	 GpibSendCmd(DWORD,BYTE*);
__DLLCLASS SHORT APIENTRY	_GpibSendCmd(SHORT,DWORD,BYTE*);
__DLLCLASS DWORD APIENTRY	 GpibSend(SHORT,DWORD,BYTE*,SHORT,SHORT*);
__DLLCLASS DWORD APIENTRY	_GpibSend(SHORT,SHORT,DWORD,BYTE*,SHORT,
				SHORT*);
__DLLCLASS DWORD APIENTRY	GpibSendN(SHORT [],DWORD,BYTE*,SHORT,
				SHORT*);
__DLLCLASS DWORD APIENTRY	_GpibSendN(SHORT, SHORT [],DWORD,BYTE*,SHORT,
				SHORT*);
__DLLCLASS SHORT APIENTRY	 GpibSend2(SHORT,SHORT);
__DLLCLASS SHORT APIENTRY	_GpibSend2(SHORT,SHORT,SHORT);
__DLLCLASS SHORT APIENTRY	 GpibSend2N(SHORT,SHORT []);
__DLLCLASS SHORT APIENTRY	_GpibSend2N(SHORT,SHORT,SHORT []);
__DLLCLASS DWORD APIENTRY	 GpibRecv(SHORT,DWORD,BYTE*,SHORT,SHORT*);
__DLLCLASS DWORD APIENTRY	_GpibRecv(SHORT,SHORT,DWORD,BYTE*,SHORT,
				SHORT*);
__DLLCLASS SHORT APIENTRY	GpibChkSrq(void);
__DLLCLASS SHORT APIENTRY	_GpibChkSrq(SHORT);

__DLLCLASS SHORT APIENTRY	GpibSPoll(SHORT,WORD*);
__DLLCLASS SHORT APIENTRY	_GpibSPoll(SHORT,SHORT addr,WORD*);
__DLLCLASS SHORT APIENTRY	GpibSPollN(SHORT [],WORD stsB[]);
__DLLCLASS SHORT APIENTRY	_GpibSPollN(SHORT,SHORT [],WORD stsB[]);

__DLLCLASS SHORT APIENTRY	GpibPPoll(void);
__DLLCLASS SHORT APIENTRY	_GpibPPoll(SHORT);
__DLLCLASS SHORT APIENTRY	GpibPPollConfig(SHORT,SHORT,BOOL);
__DLLCLASS SHORT APIENTRY	_GpibPPollConfig(SHORT,SHORT,SHORT,BOOL);
__DLLCLASS SHORT APIENTRY	GpibPPollUConfig(SHORT);
__DLLCLASS SHORT APIENTRY	_GpibPPollUConfig(SHORT,SHORT);
__DLLCLASS SHORT APIENTRY	GpibPPollUConfigAll(void);
__DLLCLASS SHORT APIENTRY	_GpibPPollUConfigAll(SHORT);

/* *** g[JEXi[hAPI */
__DLLCLASS SHORT APIENTRY	GpibStatus(DWORD*);
__DLLCLASS SHORT APIENTRY	_GpibStatus(SHORT,DWORD*);
__DLLCLASS DWORD APIENTRY	GpibSendS(DWORD,BYTE *,SHORT,SHORT *);
__DLLCLASS DWORD APIENTRY	_GpibSendS(SHORT,DWORD,BYTE*,SHORT,SHORT*);
__DLLCLASS DWORD APIENTRY	GpibRecvS(DWORD,BYTE*,SHORT,SHORT*);
__DLLCLASS DWORD APIENTRY	_GpibRecvS(SHORT,DWORD,BYTE*,SHORT,SHORT*);
__DLLCLASS SHORT APIENTRY	GpibSetStatusByte(WORD);
__DLLCLASS SHORT APIENTRY	_GpibSetStatusByte(SHORT,WORD);
__DLLCLASS SHORT APIENTRY	GpibSetSrq(void);
__DLLCLASS SHORT APIENTRY	_GpibSetSrq(SHORT);
__DLLCLASS SHORT APIENTRY	GpibSetPPR(BOOL);
__DLLCLASS SHORT APIENTRY	_GpibSetPPR(SHORT,BOOL);

/* *** fobOp֐(J) */
__DLLCLASS SHORT APIENTRY	GP02GetCounter(LPWORD);
__DLLCLASS SHORT APIENTRY	_GP02GetCounter(SHORT,LPWORD);

#ifdef	__cplusplus
}
#endif

#endif	// __AISAG01_H
